Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# IIOP_Connection_Handler.h File Reference

`#include "ace/Svc_Handler.h"`
`#include "ace/SOCK_Stream.h"`
`#include "tao/Connection_Handler.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for IIOP_Connection_Handler.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IIOP
## Classes
class | TAO_IIOP_Connection_Handler
| Handles requests on a single connection. More...
## Variables
TAO_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH > | TAO_IIOP_SVC_HANDLER

## Detailed Description

Id
  IIOP_Connection_Handler.h,v 1.30 2005/11/02 07:13:03 ossama Exp

Author:
  Originally by Chris Cleeland as IIOP_Connect.h

  Balachandran Natarajan <bala@cs.wustl.edu>

## Variable Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Svc_Handler<ACE_SOCK_STREAM, ACE_NULL_SYNCH> TAO_IIOP_SVC_HANDLER